package com.emato.cuspay.wx.dto;

/**
 * 微信查询订单响应成功后数据实体类
 * @author huangyq
 * @version 1.0
 * 2018-05-24 16:55
 */
public class WxQuerySuccessResponseMsgDto {
    //商户子订单号
    private String subOrderNo;
    //微信子订单号
    private String subOrderId;
    //商户海关备案号
    private String mchCustomsNo;
    //海关
    private String customs;
    //币种
    private String feeType;
    //应付金额
    private int orderFee;
    //关税
    private int duty;
    //物流费
    private int transportFee;
    //商品价格
    private int productFee;
    //状态码
    private String state;
    //申报结果说明
    private String explanation;
    //最后更新时间
    private String modifyTime;
    //订购人和支付人 校验结果
    private String certCheckResult;

    @Override
    public String toString() {
        return "WxResponseMsg{" +
                "  state='" + state + '\'' +
                ", subOrderNo='" + subOrderNo + '\'' +
                ", subOrderId='" + subOrderId + '\'' +

                ", mchCustomsNo='" + mchCustomsNo + '\'' +
                ", customs='" + customs + '\'' +
                ", feeType='" + feeType + '\'' +
                ", orderFee='" + orderFee + '\'' +
                ", duty='" + duty + '\'' +
                ", transportFee='" + transportFee + '\'' +
                ", productFee='" + productFee + '\'' +
                ", explanation='" + explanation + '\'' +

                ", modifyTime='" + modifyTime + '\'' +
                ", certCheckResult='" + certCheckResult + '\'' +
                '}';
    }


    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getSubOrderNo() {
        return subOrderNo;
    }

    public void setSubOrderNo(String subOrderNo) {
        this.subOrderNo = subOrderNo;
    }

    public String getSubOrderId() {
        return subOrderId;
    }

    public void setSubOrderId(String subOrderId) {
        this.subOrderId = subOrderId;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCertCheckResult() {
        return certCheckResult;
    }

    public void setCertCheckResult(String certCheckResult) {
        this.certCheckResult = certCheckResult;
    }

    public String getMchCustomsNo() {
        return mchCustomsNo;
    }

    public void setMchCustomsNo(String mchCustomsNo) {
        this.mchCustomsNo = mchCustomsNo;
    }

    public String getCustoms() {
        return customs;
    }

    public void setCustoms(String customs) {
        this.customs = customs;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public int getOrderFee() {
        return orderFee;
    }

    public void setOrderFee(int orderFee) {
        this.orderFee = orderFee;
    }

    public int getDuty() {
        return duty;
    }

    public void setDuty(int duty) {
        this.duty = duty;
    }

    public int getTransportFee() {
        return transportFee;
    }

    public void setTransportFee(int transportFee) {
        this.transportFee = transportFee;
    }

    public int getProductFee() {
        return productFee;
    }

    public void setProductFee(int productFee) {
        this.productFee = productFee;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }
}
